<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="en"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../jacoco-resources/report.gif" type="image/gif"/><title>ShortestPathFinder.java</title><link rel="stylesheet" href="../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">airline-graph</a> &gt; <a href="index.source.html" class="el_package">com.boxever.challenge.airline</a> &gt; <span class="el_source">ShortestPathFinder.java</span></div><h1>ShortestPathFinder.java</h1><pre class="source lang-java linenums">package com.boxever.challenge.airline;

import org.jgrapht.alg.shortestpath.BellmanFordShortestPath;
import org.jgrapht.graph.DefaultWeightedEdge;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

@Component
public class ShortestPathFinder {

    private BellmanFordShortestPath&lt;String, DefaultWeightedEdge&gt; calculator;

<span class="fc" id="L13">    public ShortestPathFinder(@Autowired AirlineGraph g) {</span>
<span class="fc" id="L14">        this.calculator = new BellmanFordShortestPath&lt;&gt;(g.getGraph());</span>
<span class="fc" id="L15">    }</span>

    public AirlinePath getShortestPath(String source, String dest) {
<span class="fc" id="L18">        return new AirlinePath(this.calculator.getPath(source, dest));</span>
    }
}
</pre><div class="footer"><span class="right">Created with <a href="http://www.jacoco.org/jacoco">JaCoCo</a> 0.8.6.202009150832</span></div></body></html>